import { importAll } from '@/utils/utils';
const components = importAll(require.context('@/components/', true,  /\.vue$/ ));
import { List, Image, Empty, Field, Dialog, GridItem, Grid, Button, Popup, NavBar, SwipeCell } from 'vant';
export default {
    install(Vue: any) {
        Vue.component(List.name, List);
        Vue.component(Image.name, Image);
        Vue.component(Empty.name, Empty);
        Vue.component(Field.name, Field);
        Vue.component(GridItem.name, GridItem);
        Vue.component(Grid.name, Grid);
        Vue.component(Button.name, Button);
        Vue.component(Popup.name, Popup);
        Vue.component(Dialog.Component.name, Dialog.Component);
        Vue.component(NavBar.name, NavBar);
        Vue.component(SwipeCell.name, SwipeCell);
        Object.keys(components).forEach((key: string) => {
            Vue.component(key, components[key]);
        });
    },
};
